umult64(3)

NAME
umult64 - integer multiplication with overflow checking

SYNTAX
#include <libowfat/safemult.h>

int umult64(uint64 a,uint64 b,uint64* c);

DESCRIPTION
umult64 does c=a*b and returns 1.

In case of an integer overflow, umult64 leaves c alone and returns 0.

SEE ALSO
imult16(3), imult32(3), imult64(3)